#!/bin/bash

# Source: hftp://invisible-island.net/dialog/dialog-1.1-20080819.tgz

# Packager: JP <jp.guillemin@free.fr>

soft='dialog'
softversion='1.1.20080819'
sourceversion='1.1-20080819'
packageversion='54.1'

arch='i486'
cpu='i686'

buildir=$(pwd)
srcpkg="$buildir/$soft-$sourceversion.tgz"
src="$buildir/$soft-$sourceversion"
package="$soft-$softversion-$arch-$packageversion"
dest="/tmp/$package"

cd $buildir
rm -rf $src
tar -xvf $srcpkg
rm -f $dest.tgz
rm -rf $dest
mkdir -p $dest
chown -R root:root .
export CFLAGS="-O2 -march=$arch -mtune=$cpu" 

cd $src
find . -perm 777 -exec chmod 755 {} \;
find . -perm 664 -exec chmod 644 {} \;
./configure \
  --prefix=/usr \
  --disable-static \
  --enable-nls \
  --with-ncursesw \
  --enable-widec \
  --build=$ARCH
make
make install DESTDIR=$dest

mkdir -p $dest/bin
mv $dest/usr/bin/dialog $dest/bin
( cd $dest/usr/bin
  ln -sf ../../bin/dialog dialog
)

# Theme
mkdir -p $dest/etc
rm -f $dest/etc/dialogrc
cp -pf $buildir/dialogrc $dest/etc/dialogrc

# Strip binaries:
( cd $dest
  find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
  find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
)

( cd $dest/usr/man
  find . -name "*.?" | xargs gzip -9
)

mkdir -p $dest/usr/doc/$soft-$softversion
cp -a \
  CHANGES COPYING README VERSION dialog.lsm \
  $dest/usr/doc/$soft-$softversion

# redundant
rm -rf $dest/usr/share/doc

mkdir -p $dest/install 
cat << "EOF" > $dest/install/slack-desc
dialog: dialog (display dialog boxes from shell scripts)
dialog:
dialog: Dialog is a program to present a variety of questions or display
dialog: messages using dialog boxes from a shell script.  Many Zenwalk
dialog: system tools can use dialog in console mode, as do various other
dialog: menu-driven console scripts.
dialog:
dialog: 
dialog: Dialog is currently maintained by Thomas E. Dickey.
dialog: 
dialog:
EOF


mkdir -p $dest/usr/src/$soft-$softversion
( cd $buildir
cp -a build-$soft.sh $dest/usr/src/$soft-$softversion/
)

cd $dest
makepkg -l y -c n $dest.tgz

# cleanup

rm -rf $dest
rm -rf $src
